package com.chelvc.framework.base.cache;

/**
 * 缓存信息转换接口
 *
 * @param <K> 缓存标识类型
 * @param <V> 缓存内容类型
 * @author Woody
 * @date 2024/1/30
 */
public interface Converter<K, V> {
    /**
     * 获取缓存对象标识
     *
     * @param object 缓存对象实例
     * @return 对象标识
     */
    K id(V object);

    /**
     * 获取缓存对象排序
     *
     * @param object 缓存对象实例
     * @return 排序数字
     */
    long order(V object);
}
