package com.chelvc.framework.base.config;

import com.chelvc.framework.common.util.JacksonUtils;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.http.converter.json.Jackson2ObjectMapperBuilder;

/**
 * Jackson全局配置
 *
 * @author Woody
 * @date 2024/1/30
 */
@Configuration
public class JacksonConfigurer {
    @Bean
    @Primary
    public ObjectMapper objectMapper(Jackson2ObjectMapperBuilder builder) {
        return JacksonUtils.initializeSerializer(builder.build(), true);
    }
}