package com.chelvc.framework.database.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 数据库配置属性
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("database")
public class DatabaseProperties {
    /**
     * 数据编解码配置
     */
    private final Codec codec = new Codec();

    /**
     * 数据编解码配置属性
     */
    @Data
    public static class Codec {
        /**
         * 密钥
         */
        private String secret;

        /**
         * 初始向量（16位）
         */
        private String iv;
    }
}
