package com.chelvc.framework.database.context;

import java.lang.reflect.Field;
import java.util.List;

import com.chelvc.framework.database.annotation.Unique;
import lombok.Getter;
import lombok.NonNull;

/**
 * 唯一约束字段上下文
 *
 * @param <T> 实体类型
 * @author Woody
 * @date 2024/1/30
 */
@Getter
public class UniqueContext<T> {
    /**
     * 目标字段
     */
    private final Field field;

    /**
     * 唯一约束注解实例
     */
    private final Unique unique;

    /**
     * 唯一约束字段Getter方法列表
     */
    private final List<GetterContext<T, ?>> getters;

    public UniqueContext(@NonNull Field field, @NonNull Unique unique, @NonNull List<GetterContext<T, ?>> getters) {
        this.field = field;
        this.unique = unique;
        this.getters = getters;
    }
}
