package com.chelvc.framework.database.entity;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.framework.database.annotation.CreateUpdate;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 可创建数据模型
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public abstract class CreateEntity<ID extends Serializable> implements Creatable<ID> {
    /**
     * 创建用户
     */
    @CreateUpdate(enabled = false)
    private Long creator;

    /**
     * 创建时间
     */
    @CreateUpdate(enabled = false)
    private Date createTime;
}
