package com.chelvc.framework.database.support;

import java.util.Collection;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 数据模型操作接口
 *
 * @author Woody
 * @date 2024/2/27
 */
public interface BasicMapper<T> extends BaseMapper<T> {
    /**
     * 创建或忽略实体
     *
     * @param entity 实体对象实例
     * @return 新增行数
     */
    int insertIgnore(T entity);

    /**
     * 创建或修改实体
     *
     * @param entity 实体对象实例
     * @return 更新行数
     */
    int insertUpdate(T entity);

    /**
     * 批量创建或忽略实体
     *
     * @param entities 实体对象实例集合
     * @return 新增行数
     */
    int batchInsertIgnore(Collection<T> entities);

    /**
     * 批量创建或修改实体
     *
     * @param entities 实体对象实例集合
     * @return 更新行数
     */
    int batchInsertUpdate(Collection<T> entities);
}
