package com.chelvc.framework.database.support;

import java.util.Collection;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 基础业务操作接口
 *
 * @param <T> 数据模型类型
 * @author Woody
 * @date 2024/3/10
 */
public interface BasicService<T> extends IService<T> {
    /**
     * 创建或忽略实体
     *
     * @param entity 实体对象实例
     * @return true/false
     */
    boolean createIgnore(T entity);

    /**
     * 创建或修改实体
     *
     * @param entity 实体对象实例
     * @return true/false
     */
    boolean createUpdate(T entity);

    /**
     * 批量创建或忽略实体
     *
     * @param entities 实体对象实例集合
     * @return true/false
     */
    boolean batchCreateIgnore(Collection<T> entities);

    /**
     * 批量创建或修改实体
     *
     * @param entities 实体对象实例集合
     * @return true/false
     */
    boolean batchCreateUpdate(Collection<T> entities);
}
