package com.chelvc.framework.database.support;

import java.util.Collection;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.framework.common.util.ObjectUtils;
import lombok.NonNull;

/**
 * 基础业务操作实现
 *
 * @param <M> 数据操作接口类型
 * @param <T> 数据模型类型
 * @author Woody
 * @date 2024/3/10
 */
public class BasicServiceImpl<M extends BasicMapper<T>, T> extends ServiceImpl<M, T> implements BasicService<T> {
    @Override
    public boolean createIgnore(T entity) {
        return entity != null && this.baseMapper.insertIgnore(entity) > 0;
    }

    @Override
    public boolean createUpdate(T entity) {
        return entity != null && this.baseMapper.insertUpdate(entity) > 0;
    }

    @Override
    public boolean batchCreateIgnore(Collection<T> entities) {
        return ObjectUtils.notEmpty(entities) && this.baseMapper.batchInsertIgnore(entities) > 0;
    }

    @Override
    public boolean batchCreateUpdate(@NonNull Collection<T> entities) {
        return ObjectUtils.notEmpty(entities) && this.baseMapper.batchInsertUpdate(entities) > 0;
    }
}
