package com.chelvc.framework.database.support;

import java.util.List;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.injector.DefaultSqlInjector;

/**
 * 自定义SQL注入器实现
 *
 * @author Woody
 * @date 2024/2/27
 */
public class CustomerSqlInjector extends DefaultSqlInjector {
    @Override
    public List<AbstractMethod> getMethodList(Class<?> mapperClass) {
        List<AbstractMethod> methods = super.getMethodList(mapperClass);
        methods.add(new InsertIgnoreMethod());
        methods.add(new InsertUpdateMethod());
        methods.add(new BatchInsertIgnoreMethod());
        methods.add(new BatchInsertUpdateMethod());
        return methods;
    }
}
