package com.chelvc.framework.database.support;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.TableFieldInfo;
import com.baomidou.mybatisplus.core.metadata.TableInfo;
import lombok.NonNull;

/**
 * 插入或忽略方法实现
 *
 * @author Woody
 * @date 2024/2/27
 */
public class InsertIgnoreMethod extends AbstractInsertMethod {
    public InsertIgnoreMethod() {
        super("insertIgnore");
    }

    @Override
    protected String initializeMethodScript(@NonNull TableInfo table) {
        List<TableFieldInfo> fields = table.getFieldList();
        String columns = this.field2column(table, fields);
        String properties = this.field2property(table, fields);
        return String.format(
                "<script>\nINSERT IGNORE INTO %s (%s) VALUES (%s)\n</script>",
                table.getTableName(), columns, properties
        );
    }
}
