package com.chelvc.framework.email;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 邮件消息体
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Body implements Serializable {
    /**
     * 收件人
     */
    private String to;

    /**
     * 抄送人
     */
    private String cc;

    /**
     * 暗送人
     */
    private String bcc;

    /**
     * 邮件主题
     */
    private String subject;

    /**
     * 邮件内容
     */
    private String content;
}
