package com.chelvc.framework.email.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 邮件配置属性
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("email")
public class EmailProperties {
    /**
     * 邮件服务器地址
     */
    private String host;

    /**
     * 邮件服务器端口
     */
    private int port = 465;

    /**
     * 邮件协议
     */
    private String protocol = "smtp";

    /**
     * 用户名
     */
    private String username;

    /**
     * 登录密码
     */
    private String password;

    /**
     * 发送人昵称
     */
    private String nickname;

    /**
     * 是否加密
     */
    private boolean encrypted = true;
}
