package com.chelvc.framework.location.support;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 聚合地理定位相应信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class JuheLocationResponse implements Serializable {
    /**
     * 响应状态
     */
    @JsonProperty("error_code")
    private Integer status;

    /**
     * 描述信息
     */
    @JsonProperty("reason")
    private String message;

    /**
     * 地址信息
     */
    private Position result;

    /**
     * 位置信息
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Position implements Serializable {
        /**
         * 省
         */
        private String province;

        /**
         * 市
         */
        private String city;
    }
}
