package com.chelvc.framework.oauth.config;

import java.util.Collections;
import java.util.List;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * OAuth认证配置属性
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("oauth")
public class OAuthProperties {
    /**
     * 令牌密钥
     */
    private String secret;

    /**
     * 忽略地址列表
     */
    private List<String> ignores = Collections.emptyList();
}
