package com.chelvc.framework.rocketmq.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * RokcetMQ配置属性
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("rocketmq")
@ConditionalOnProperty(prefix = "rocketmq", value = {"accessKey", "secretKey", "endpoints"})
public class RocketMQProperties {
    /**
     * 命名空间
     */
    private String namespace;

    /**
     * Access Key
     */
    private String accessKey;

    /**
     * Secret Key
     */
    private String secretKey;

    /**
     * 服务端点
     */
    private String endpoints;
}
