package com.chelvc.framework.rocketmq.context;

import lombok.NonNull;
import org.apache.rocketmq.client.apis.ClientException;
import org.apache.rocketmq.client.apis.message.Message;
import org.apache.rocketmq.client.apis.producer.Producer;

/**
 * 普通消息发送包装器
 *
 * @author Woody
 * @date 2024/1/30
 */
public class MessageSending {
    /**
     * 消息生产者
     */
    protected final Producer producer;

    /**
     * 消息实例
     */
    protected final Message message;

    public MessageSending(@NonNull Producer producer, @NonNull Message message) {
        this.producer = producer;
        this.message = message;
    }

    /**
     * 重试消息发送
     *
     * @throws ClientException 客户端异常
     */
    public void retry() throws ClientException {
        this.producer.send(this.message);
    }
}
