package com.chelvc.framework.rocketmq.producer;

import org.apache.rocketmq.client.apis.producer.Producer;
import org.apache.rocketmq.client.apis.producer.TransactionChecker;
import org.springframework.beans.factory.DisposableBean;

/**
 * RocketMQ消息生产者工厂接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface RocketMQProducerFactory extends DisposableBean {
    /**
     * 获取普通消息生产者
     *
     * @param topic 消息主题
     * @return 消息生产者实例
     */
    Producer getProducer(String topic);

    /**
     * 获取事务消息生产者
     *
     * @param topic   消息主题
     * @param checker 事务检测回调接口
     * @return 消息生产者实例
     */
    Producer getProducer(String topic, TransactionChecker checker);
}
