package com.chelvc.framework.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 数据加解密注解
 *
 * @author Woody
 * @date 2024/1/30
 */
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface Crypto {
    /**
     * 是否启用输入解密
     *
     * @return true/false
     */
    boolean input() default true;

    /**
     * 是否启用输出加密
     *
     * @return true/false
     */
    boolean output() default true;
}
