package com.chelvc.framework.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 接口安全注解
 *
 * @author Woody
 * @date 2024/1/30
 */
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface Security {
    /**
     * 是否启用签名校验
     *
     * @return true/false
     */
    boolean sign() default false;

    /**
     * 是否启用请求头校验
     *
     * @return true/false
     */
    boolean header() default true;
}
