package com.chelvc.framework.security.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 信息安全配置属性
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@Configuration
@ConfigurationProperties("security")
public class SecurityProperties {
    /**
     * 安全密钥
     */
    private String secret;

    /**
     * 请求时长（毫秒）
     */
    private long duration = 60 * 1000;
}
