package com.chelvc.framework.upload;

import java.io.File;
import java.io.InputStream;

/**
 * 文件上传操作接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface UploadHandler {
    /**
     * 文件上传
     *
     * @param file 文件对象
     * @return 文件访问地址
     */
    String upload(File file);

    /**
     * 文件上传
     *
     * @param stream 文件流
     * @param suffix 后缀名
     * @return 文件访问地址
     */
    String upload(InputStream stream, String suffix);

    /**
     * 文件上传
     *
     * @param stream 文件流
     * @param suffix 后缀名
     * @param length 文件大小
     * @return 文件访问地址
     */
    String upload(InputStream stream, String suffix, long length);

    /**
     * 销毁处理器
     */
    default void destroy() {
    }
}
