package com.chelvc.framework.wechat;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 微信访问令牌
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WechatAccessToken extends WechatResponse {
    /**
     * 令牌标识
     */
    @JsonProperty("access_token")
    private String token;

    /**
     * 有效时长（秒）
     */
    @JsonProperty("expires_in")
    private Long duration;
}
