package com.chelvc.framework.wechat;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 微信公众号openid列表响应对象
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WechatPublicOpenids extends WechatResponse {
    /**
     * 总关注数
     */
    private Integer total;

    /**
     * 本次返回数
     */
    private Integer count;

    /**
     * openid列表
     */
    private Openids data;

    /**
     * 获取数据的起始openid
     */
    @JsonProperty("next_openid")
    private String nextOpenid;

    /**
     * Openid 列表
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Openids implements Serializable {
        /**
         * openid列表
         */
        private List<String> openid;
    }
}
