package com.chelvc.framework.wechat;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 微信公众号订阅者信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WechatPublicSubscriber implements Serializable {
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户openid
     */
    private String openid;

    /**
     * 用户unionid
     */
    private String unionid;

    /**
     * 用户是否订阅
     */
    private Integer subscribe;

    /**
     * 用户订阅时间戳
     */
    @JsonProperty("subscribe_time")
    private Long subscribeTime;
}
